@if (adminProjectViewComponentData) {
  <div class="project-bugtracker-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.bugtracker.label.singular' | translate"
    >
    </sqtm-core-label>
    <div class="flex-row">
      @if (bugTrackerIsNotAvailableAnymore) {
        <i
          nz-icon
          class="sqtm-core-icon tooltip-icon flex-fixed-size"
          nzType="exclamation-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FAAD14'"
          [nz-tooltip]="
            'sqtm-core.generic.editable.unavailable-option' | translate
          "
        >
        </i>
      }
      <sqtm-core-editable-select-field
        class="flex-grow-shrink"
        [attr.data-test-field-id]="'bugtracker-select-field'"
        [options]="
          getBugtrackers(
            adminProjectViewComponentData.project.availableBugtrackers
          )
        "
        [value]="getSelectedValue()"
        (confirmEvent)="confirmBugtracker($event)"
        layout="no-buttons"
      >
      </sqtm-core-editable-select-field>
    </div>
    @if (
      this.adminProjectViewComponentData.project.bugtrackerProjectNames &&
      !(isProjectTemplate$ | async)
    ) {
      <div class="label-with-icon">
        <sqtm-core-label
          [attr.data-test-element-id]="'project-name-or-path-label'"
          [text]="projectNameLabel$ | async | translate"
        >
        </sqtm-core-label>
        <i
          nz-icon
          nzType="sqtm-core-generic:help"
          nzTheme="outline"
          nz-tooltip
          [nzTooltipTitle]="projectNameTooltip$ | async | translate"
          class="current-workspace-button tooltip-icon table-icon-size"
        >
        </i>
      </div>
      <sqtm-core-editable-draggable-tag-field
        [required]="true"
        [options]="adminProjectViewComponentData.project.bugtrackerProjectNames"
        [placeholder]="addProjectButtonLabel$ | async | translate"
        (editTagEvent)="addProjectName($event)"
        [attr.data-test-field-id]="'project-names-tag-field'"
      >
      </sqtm-core-editable-draggable-tag-field>
    }
  </div>
}
